Kune - Enhancement #169
Sign-in username is confusing: force lowercase & more
11/23/2011 07:36 PM - Anonymous

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Samer - % Done: 100%
Category: Group space Estimated time: 0.00 hour
Target version:

Resolution: fixed Tags:

Description

After several tests with people, both Dario and Sara had problems when creating the username. Both were insisting to use a name
with capital letters, even though they were reading the (!) error.

A similar problem occurred when creating a group.

| don't know how to solve this, but | have three suggestions. | would apply the three, but probably the third takes more time.
Suggestion 1:

- ask "Name" before "Username" in user creation. It's more intuitive.

- ask "Long name" before "Short name" in group creation
Suggestion 2:

- In the (!) description, maybe "lowercase" should be in bold?
Suggestion 3:

- Maybe we can auto-generate a short-name or username based on the long-name introduced before, as a proposal that can be
changed.

Associated revisions

Revision a5143850 - 09/02/2012 11:12 PM - Samer -

In the Register form, asking for Name before Username (and focusing on Name), refs #169

Revision 67e17205 - 09/02/2012 11:15 PM - Samer -

In New Group form, asking for Long name before Short name, focusing on Long name; closes #169

History

#1 - 11/23/2011 08:20 PM - Vicente J. Ruiz Jurado

Contraproposal to 3: auto-change to lowercase the name you enter when you jump for one field to another.

1min of work...

#2 - 04/19/2012 02:00 AM - Vicente J. Ruiz Jurado

- Status changed from New to Closed

- Resolution set to fixed

#3 - 04/19/2012 02:01 AM - Anonymous
| agree with Contraproposal to (3). I'd also do (1).

#4 - 04/19/2012 02:01 AM - Anonymous

From #181 (closed)=> also auto-change to lowercase:
- the username in the log-in dialog (not just in the sign-in dialog).
- the group name in the register-group dialog

#5 - 08/20/2012 01:12 AM - Samer -

- Status changed from Closed to In Progress

- Assignee changed from Vicente J. Ruiz Jurado to Samer -
- Priority changed from Urgent to Normal

- % Done changed from 0 to 50

- Resolution deleted (fixed)

| reopen this issue instead of creating a new one. I'd do "Suggestion 1" even if comment #4 was done, is it ok? | can assign it to myself.

#6 - 09/03/2012 03:07 AM - Samer -
- Status changed from In Progress to Resolved
- % Done changed from 50 to 80

Applied in changeset commit:67e17205e2d79055773ec6b671f147a800fc36b0.

#7 - 09/03/2012 03:24 PM - Samer -

- Status changed from Resolved to Closed
- % Done changed from 80 to 100

- Resolution set to fixed
